WordPress.org

Support

Support » Localhost Installs » permission denied when opening previous page revision

permission denied when opening previous page revision

  • Hi,

    When we try to open previous reavision on any of the pages on this blog we have this error:

    Warning: require(/var/www/domains/dbj.org/docs/dbj/wp-includes/Text/Diff/Renderer/inline.php) [function.require]: failed to open stream: Permission denied in /var/www/domains/dbj.org/docs/dbj/wp-includes/wp-diff.php on line 17
    
    Fatal error: require() [function.require]: Failed opening required '/var/www/domains/dbj.org/docs/dbj/wp-includes/Text/Diff/Renderer/inline.php' (include_path='.:/usr/local/lib/php') in /var/www/domains/dbj.org/docs/dbj/wp-includes/wp-diff.php on line 17

    Site is here http://dbj.org

    This was working fine until few days ago. Also other blogs on the same machine have no problems of this (or any other) kind ?

    What gives ?

Viewing 1 replies (of 1 total)
  • It could be a due to insufficient permissions. chmod all directories to 755 and files to 644.

    If you have access to the command-line of the server enter these commands.

    cd /var/www/domains/dbj.org/docs/dbj/
    find . -type d -exec chmod 755 {} \;
    find . -type f -exec chmod 644 {} \;

    Else use a FTP client to do it.

Viewing 1 replies (of 1 total)
  • The topic ‘permission denied when opening previous page revision’ is closed to new replies.